commit:     059dee63d556c48d1b00afca5cf87b1bd798a193
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 19 04:57:28 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jul 19 05:41:25 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=059dee63

dev-python/hypothesis: Bump to 6.136.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/hypothesis/Manifest                  |   1 +
 dev-python/hypothesis/hypothesis-6.136.0.ebuild | 127 ++++++++++++++++++++++++
 2 files changed, 128 insertions(+)

diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 8a2750a75080..84b0f38f345b 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -5,3 +5,4 @@ DIST hypothesis-6.135.26.gh.tar.gz 9592596 BLAKE2B 
eccc6e968109c4f5e918a06f6e57a
 DIST hypothesis-6.135.29.gh.tar.gz 9593158 BLAKE2B 
290e9e3212ddf01622b29923d99f1cee428af8be9a3a25e8d20c29706e0fa9790f2678da8e32270781952c024474a606b61b9efaa3547403ee54e92b535aa4a4
 SHA512 
a4e9bf29796b18c69e54c409b03fc0bbcfd4c4d3755fc08b24eee5162dc1ab49f11908cffcdca4ed89b435d9bd4bd347ec003c8c245188f285b638baf5e5eaf2
 DIST hypothesis-6.135.31.gh.tar.gz 9594424 BLAKE2B 
4f5f311c6da0fa8cd4d1677ca3094db2060a27ab68b9e91f1870cf48f22aa5ed63acc3d0ae3aaaef909fb3f6a8a9f3f1065d37f927cbf63ec5c3f1cfb532c240
 SHA512 
8b50bd883bebe706983ebf1119c423e51e0b722752b16ce2d4d0365d3e692f76dc651e7a7a612938b0c4cf52cdb05b2d70ebc6092e2ab4a7f64379a59fa68d16
 DIST hypothesis-6.135.32.gh.tar.gz 9595317 BLAKE2B 
ad537cfb6f7aeaa73cbce81757310adf95ccbd742a8d7330c644d16612168f1ced8fba3c7cb7c29e5bfb7843503c8a982c90466ef8a51ea6f0a295049f371ea7
 SHA512 
daf141d96de265c159a915703f64d2afc4df9f66069ea067a606dd503fe8c0165f3d1d68f2d91f61d067a0d3da55754fe038809576fb65000a3d0fc65c5c7db1
+DIST hypothesis-6.136.0.gh.tar.gz 9596080 BLAKE2B 
65acbc8ea75e6fea22d7ee1329f68426a810b8e2fa5d31b37bb191a793a21e085d79b39de304a17979eebf3edc7202e2935e8fc3abef4e05d10aba648ff74ac9
 SHA512 
fb1cff6f9b6f48975928550c10bf13f9fcd48e32bb9363faf9abb204bf426ff980d6480688d06648ccc0163d0235e40b6c47ff2a1c988182ab35dc87b3434dcf

diff --git a/dev-python/hypothesis/hypothesis-6.136.0.ebuild 
b/dev-python/hypothesis/hypothesis-6.136.0.ebuild
new file mode 100644
index 000000000000..4e65831c9599
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.136.0.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{11..13} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" pypy3_11 python3_14 python3_{13,14}t )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+       https://github.com/HypothesisWorks/hypothesis/
+       https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+       https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+       >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+       >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+       cli? (
+               $(python_gen_cond_dep '
+                       dev-python/black[${PYTHON_USEDEP}]
+                       dev-python/click[${PYTHON_USEDEP}]
+               ' "${CLI_COMPAT[@]}")
+       )
+"
+BDEPEND="
+       test? (
+               dev-python/pexpect[${PYTHON_USEDEP}]
+               >=dev-python/pytest-8[${PYTHON_USEDEP}]
+       )
+"
+PDEPEND="
+       dev-python/hypothesis-gentoo[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=( pytest-rerunfailures )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+       # NB: paths need to be relative to pytest.ini,
+       # i.e. start with hypothesis-python/
+       local EPYTEST_DESELECT=()
+       case ${EPYTHON} in
+               python3.13t)
+                       EPYTEST_DESELECT+=(
+                               # TODO: missing warning
+                               
'hypothesis-python/tests/cover/test_random_module.py::test_passing_referenced_instance_within_function_scope_warns'
+                       )
+                       ;;
+               python3.14*)
+                       EPYTEST_DESELECT+=(
+                               
'hypothesis-python/tests/cover/test_compat.py::test_resolve_fwd_refs[Foo-Union]'
+                               
'hypothesis-python/tests/cover/test_lookup.py::test_builds_suggests_from_type[Union]'
+                               
hypothesis-python/tests/cover/test_attrs_inference.py::test_attrs_inference_builds
+                               
hypothesis-python/tests/cover/test_lookup.py::test_bytestring_not_treated_as_generic_sequence
+                               
hypothesis-python/tests/cover/test_lookup.py::test_issue_4194_regression
+                               
hypothesis-python/tests/cover/test_lookup.py::test_resolves_forwardrefs_to_builtin_types
+                               
hypothesis-python/tests/cover/test_lookup.py::test_specialised_collection_types
+                               
hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_collection_as_generic
+                               
hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_container_as_generic
+                               
hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_contextmanager_as_generic
+                               
hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_iterable_as_generic
+                               
hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_reversible_as_generic
+                               
hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_sequence_as_generic
+                               
hypothesis-python/tests/cover/test_random_module.py::test_evil_prng_registration_nonsense
+                               
hypothesis-python/tests/cover/test_random_module.py::test_passing_referenced_instance_within_function_scope_warns
+                               
hypothesis-python/tests/cover/test_random_module.py::test_register_random_within_nested_function_scope
+                               
hypothesis-python/tests/cover/test_random_module.py::test_registering_a_Random_is_idempotent
+                               
hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_missing_dot_access_forward_ref
+                               
hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_missing_forward_ref
+                               
hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_type_checking_only_forward_ref_wrong_type
+                               
hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_type_cheking_only_forward_ref
+                       )
+                       ;;
+       esac
+
+       # subtests are broken by warnings from random plugins
+       local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+       local -x HYPOTHESIS_NO_PLUGINS=1
+
+       epytest -o filterwarnings= --reruns=5 \
+               tests/cover tests/pytest tests/quality
+}
+
+src_install() {
+       local HAD_CLI=
+
+       distutils-r1_src_install
+
+       if [[ ! ${HAD_CLI} ]]; then
+               rm -r "${ED}/usr/bin" || die
+       fi
+}
+
+python_install() {
+       distutils-r1_python_install
+       if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+               HAD_CLI=1
+       else
+               rm -r "${D}$(python_get_scriptdir)" || die
+       fi
+}
+
+pkg_postinst() {
+       optfeature "datetime support" dev-python/pytz
+       optfeature "dateutil support" dev-python/python-dateutil
+       optfeature "numpy support" dev-python/numpy
+       optfeature "django support" dev-python/django dev-python/pytz
+       optfeature "pandas support" dev-python/pandas
+       optfeature "pytest support" dev-python/pytest
+}

Reply via email to